﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Telerik.Web.UI;
using System.Text;

public partial class Windows_removing : System.Web.UI.Page
{
    public static int Counter = 0;

    protected void Page_Load(object sender, EventArgs e)
    {

    }

    protected void RadButton1_Click(object sender, EventArgs e)
    {
        RadWindow window1 = new RadWindow();
        window1.NavigateUrl = "WindowAutoSizeTest.aspx";
        window1.ID = string.Format("NonModalForm{0}", Counter++.ToString());
        window1.Title = window1.ID;
        window1.Behaviors = Telerik.Web.UI.WindowBehaviors.Close
                          | Telerik.Web.UI.WindowBehaviors.Resize
                          | Telerik.Web.UI.WindowBehaviors.Move;
        window1.Top = 80 + Counter * 20;
        window1.Left = Counter * 20;
        window1.Width = 200;
        window1.Height = 100;
        window1.Modal = false;
        window1.KeepInScreenBounds = true;// false; // seem to have no effect ( tested with IE );
        window1.VisibleStatusbar = false;
        window1.ShowContentDuringLoad = false;
        window1.EnableViewState = true;// false;
        window1.DestroyOnClose = false; // if true I get error in my real app.
        window1.VisibleOnPageLoad = true;
        
        RadWindowManager1.Windows.Add(window1);
    }

    protected void OnAjaxRequest(object sender, AjaxRequestEventArgs e)
    {
        string identifier = TitleField.Value;
        foreach (RadWindow item in RadWindowManager1.Windows)
        {
            if (item.Title == identifier)
            {
                item.VisibleOnPageLoad = false;
                //break;
                //in case there is more than one with the same title this will close only the first
                //If title does not work for you you would need to find another way to identify them, but please note that ID will not work after the first postback
                //as the IDs will be set automatically by the framework when the collection is recreated
            }
        }
    }
}